Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1516928 - Step [CheckProvisioned] Status [Error Creating VM] Message [Error: undefined method `id' for nil:NilClass] Error when booting OpenStack instances from volume
Summary: Step [CheckProvisioned] Status [Error Creating VM] Message [Error: undefined ...
Keywords:
Status: CLOSED WORKSFORME
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: GA
: cfme-future
Assignee: Scott Seago
QA Contact: Omri Hochman
URL:
Whiteboard: testathon
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-23 15:23 UTC by Luis Arizmendi
Modified: 2018-09-18 13:59 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-09-17 14:55:50 UTC
Category: ---
Cloudforms Team: Openstack


Attachments (Terms of Use)

Description Luis Arizmendi 2017-11-23 15:23:28 UTC
Description of problem:

Instances booted from volume appear as ACTIVE and are accessible using console but in Flow appear as Failed in Service > Requests with "Error: undefined method `id' for nil:NilClass" 

Version-Release number of selected component (if applicable):

5.0.9.10

How reproducible:

100%

Steps to Reproduce:
1.Prepare in OpenStack a volume to be used by a boot from volume instance
2.Deploy a new instance from CloudForms using that volume
3.Check Service > Request task status

Actual results:

Step [CheckProvisioned] Status [Error Creating VM] Message [Error: undefined method `id' for nil:NilClass] message appears

Expected results:

Task should finish without errors


Additional info:

Comment 2 Dave Johnson 2017-11-23 15:43:51 UTC
Please assess the impact of this issue and update the severity accordingly.  Please refer to https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity for a reminder on each severity's definition.

If it's something like a tracker bug where it doesn't matter, please set the severity to Low.

Comment 4 Scott Seago 2018-09-10 17:13:39 UTC
Are there any errors or stack traces in the logs taht correspond to this error message shown in the UI?

Comment 5 Luis Arizmendi 2018-09-12 07:06:41 UTC
All error messages that I got were from UI, I didn't check CLI/logs and I'm afraid that I don't have that system anymore to check it.

Comment 6 Scott Seago 2018-09-17 14:55:50 UTC
I can't seem to reproduce this. I created a cinder volume from an image and used it to boot an instance. Everything worked successfully. If this is still happening predictably in another environment and you've got logs/stack traces/etc., then this can be re-opened.


Note You need to log in before you can comment on or make changes to this bug.